#!/bin/sh

# Mumble (Murmur) on Fedora 33 + Cloudflare "mumble.cyou" DDNS update

# OPTIONAL BUT RECOMMENDED - Set a password that will be required to join the server. Leaving this blank will make the server public.
SERVER_PASSWORD='SET_A_PASSWORD_HERE_IF_YOU_WANT'

# Disable firewalld (Cloud provider firewall will suffice)
# AWS AMI for Fedora 33 already has this off.

systemctl stop firewalld

# Install Murmur 

dnf install -y murmur

# OPTIONAL - Manually set DH from 2048 to 4096, manually generate SSL cert with 4096 RSA.
# If you just ignore this, mumble will do it's default DH 2048 and generate an SSL cert with 2048 RSA.

dnf install -y openssl
cd /etc/murmur
openssl req -x509 -nodes -days 365 -subj '/CN=mumbleserver/O=mumbleserver/C=SG' -newkey rsa:4096 -keyout ssl.key -out ssl.crt
chmod 644 ssl.crt
chmod 644 ssl.key
sed -i -e 's/;sslCert=/sslCert=ssl.crt/g' murmur.ini
sed -i -e 's/;sslKey=/sslKey=ssl.key/g' murmur.ini

# OPTIONAL BUT RECOMMENDED - Set a password that will be required to join the server
sed -i -e "s/serverpassword=/serverpassword=$SERVER_PASSWORD/g" murmur.ini

# OPTIONAL set max possible bandwidth - In v1.3.4 it defaults to 72000 - This should be fixed in the next murmur/mumble release v1.4.0 - https://github.com/mumble-voip/mumble/commit/99ea9d7835b823329c87ebd13dbfee6868f51a55
sed -i -e "s/bandwidth=72000/bandwidth=558000/g" murmur.ini

# Start Murmur server

systemctl start murmur
